MetaSoul

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
UESJsonValue Class Reference

`#include <ESJsonValue.h>`

Inheritance diagram for UESJsonValue:

## Public Member Functions
TSharedPtr< FJsonValue > & | GetRootValue ()
void | SetRootValue (TSharedPtr< FJsonValue > &JsonValue)
EESJson::Type | GetType () const
FString | GetTypeString () const
bool | IsNull () const
float | AsNumber () const
FString | AsString () const
bool | AsBool () const
TArray< UESJsonValue * > | AsArray () const
UESJsonObject * | AsObject ()
TArray< uint8 > | AsBinary ()
FString | EncodeJson () const

## Static Public Member Functions
static UESJsonValue * | ConstructJsonValueNumber (UObject *WorldContextObject, float Number)
static UESJsonValue * | ConstructJsonValueString (UObject *WorldContextObject, const FString &StringValue)
static UESJsonValue * | ConstructJsonValueBool (UObject *WorldContextObject, bool InValue)
static UESJsonValue * | ConstructJsonValueArray (UObject *WorldContextObject, const TArray< UESJsonValue * > &InArray)
static UESJsonValue * | ConstructJsonValueObject (UESJsonObject *JsonObject, UObject *WorldContextObject)
static UESJsonValue * | ConstructJsonValueBinary (UObject *WorldContextObject, TArray< uint8 > ByteArray)
static UESJsonValue * | ConstructJsonValue (UObject *WorldContextObject, const TSharedPtr< FJsonValue > &InValue)
static UESJsonValue * | ValueFromJsonString (UObject *WorldContextObject, const FString &StringValue)

## Protected Member Functions
void | ErrorMessage (const FString &InType) const

## Member Function Documentation

## ◆ AsArray()

TArray< UESJsonValue * > UESJsonValue::AsArray | ( |  | ) | const

Returns this value as an array, throwing an error if this is not an Json Array

## ◆ AsBinary()

TArray< uint8 > UESJsonValue::AsBinary | ( |  | ) |

## ◆ AsBool()

bool UESJsonValue::AsBool | ( |  | ) | const

Returns this value as a boolean, throwing an error if this is not an Json Bool

## ◆ AsNumber()

float UESJsonValue::AsNumber | ( |  | ) | const

Returns this value as a double, throwing an error if this is not an Json Number Attn.!! float used instead of double to make the function blueprintable!

## ◆ AsObject()

UESJsonObject * UESJsonValue::AsObject | ( |  | ) |

Returns this value as an object, throwing an error if this is not an Json Object

## ◆ AsString()

FString UESJsonValue::AsString | ( |  | ) | const

Returns this value as a string, throwing an error if this is not an Json String

## ◆ ConstructJsonValue()

UESJsonValue * UESJsonValue::ConstructJsonValue | ( | UObject * | WorldContextObject,
|  | const TSharedPtr< FJsonValue > & | InValue )
| static

Create new Json value from FJsonValue (to be used from UEmoShapeJsonObject)

## ◆ ConstructJsonValueArray()

UESJsonValue * UESJsonValue::ConstructJsonValueArray | ( | UObject * | WorldContextObject,
|  | const TArray< UESJsonValue * > & | InArray )
| static

Create new Json Array value

## ◆ ConstructJsonValueBinary()

UESJsonValue * UESJsonValue::ConstructJsonValueBinary | ( | UObject * | WorldContextObject,
|  | TArray< uint8 > | ByteArray )
| static

Create new Json Binary value

## ◆ ConstructJsonValueBool()

UESJsonValue * UESJsonValue::ConstructJsonValueBool | ( | UObject * | WorldContextObject,
|  | bool | InValue )
| static

Create new Json Bool value

## ◆ ConstructJsonValueNumber()

UESJsonValue * UESJsonValue::ConstructJsonValueNumber | ( | UObject * | WorldContextObject,
|  | float | Number )
| static

Create new Json Number value Attn.!! float used instead of double to make the function blueprintable!

## ◆ ConstructJsonValueObject()

UESJsonValue * UESJsonValue::ConstructJsonValueObject | ( | UESJsonObject * | JsonObject,
|  | UObject * | WorldContextObject )
| static

Create new Json Object value

## ◆ ConstructJsonValueString()

UESJsonValue * UESJsonValue::ConstructJsonValueString | ( | UObject * | WorldContextObject,
|  | const FString & | StringValue )
| static

Create new Json String value

## ◆ EncodeJson()

FString UESJsonValue::EncodeJson | ( |  | ) | const

## ◆ ErrorMessage()

void UESJsonValue::ErrorMessage | ( | const FString & | InType | ) | const
| protected

Simple error logger

## ◆ GetRootValue()

TSharedPtr< FJsonValue > & UESJsonValue::GetRootValue | ( |  | ) |

Get the root Json value

## ◆ GetType()

EESJson::Type UESJsonValue::GetType | ( |  | ) | const

Get type of Json value (Enum)

## ◆ GetTypeString()

FString UESJsonValue::GetTypeString | ( |  | ) | const

Get type of Json value (String)

## ◆ IsNull()

bool UESJsonValue::IsNull | ( |  | ) | const

Returns true if this value is a 'null'

## ◆ SetRootValue()

void UESJsonValue::SetRootValue | ( | TSharedPtr< FJsonValue > & | JsonValue | ) |

Set the root Json value

## ◆ ValueFromJsonString()

UESJsonValue * UESJsonValue::ValueFromJsonString | ( | UObject * | WorldContextObject,
|  | const FString & | StringValue )
| static

Create new Json value from JSON encoded string

The documentation for this class was generated from the following files:

- EmoShapeJson/Public/ESJsonValue.h
- EmoShapeJson/Private/ESJsonValue.cpp